<script setup lang="ts">
// import { useTypeStore } from '@/Type/stores/type'
import { ref } from 'vue'
import { useOrderStore } from '../stores/order'

const orderStore = useOrderStore()
// const typeStore = useTypeStore()
const selectedItem = ref('')
const items = ['มากกว่า', 'น้อยกว่า']
const branchId = ref(1)
</script>

<template>
  <v-dialog v-model:model-value="orderStore.dialog" style="width: 800px">
    <v-card class="pa-5" title="Report">
      <v-card-text>
        <v-container>
          <v-row>
            <v-col cols="6">
              <v-combobox v-model="selectedItem" :items="items"></v-combobox>
            </v-col>
            <v-col cols="6">
              <v-text-field v-model="orderStore.moneyNeed" label="Money Need"> </v-text-field>
            </v-col>
            <v-col cols="6">
              <v-text-field v-model="branchId" label="Branch Id"></v-text-field>
            </v-col>
          </v-row>
        </v-container>
      </v-card-text>

      <template #actions>
        <v-row justify="end">
          <v-btn @click="orderStore.closeDialog()"> Cancel </v-btn>
          <v-btn @click="orderStore.getMoreOrLess(selectedItem, branchId)"> OK </v-btn>
        </v-row>
      </template>
    </v-card>
  </v-dialog>
</template>
